package pps.core.prediction.service.data.energy_consumption_analysis;

import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 能耗分析(模拟数据测试用)
 *
 * @author ZWT
 * @date 2023/09/20
 */
@Data
public class GetEnergyConsumptionAnalysisOutput {

    @XText("小时")
    private String hourTime;

    @XText("光伏发电")
    private BigDecimal power;

    @XText("光伏用电")
    private BigDecimal electricityConsumption;
}
