package pps.core.prediction.service.data.energy_consumption_analysis;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.List;

/**
 * 能耗分析(模拟数据测试用)
 *
 * @author ZWT
 * @date 2023/09/20
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetEnergyConsumptionAnalysisViewOutput {

    @XText("绿电")
    private BigDecimal greenElectricity;

    @XText("市电")
    private BigDecimal cityElectricity;

    @XText("电量使用趋势")
    List<GetEnergyConsumptionAnalysisOutput> powerList;
}
