package pps.core.base.mapper;

import org.springframework.stereotype.Repository;
import pps.core.base.entity.BasePhotovoltaicPlantView;

import java.util.List;

/**
 * 光伏电站
 *
 * @author ZWT
 * @date 2023/10/10
 */
@Repository(value = "pps.core.base.mapper.BasePhotovoltaicPlantViewMapper")
public interface BasePhotovoltaicPlantViewMapper {
    BasePhotovoltaicPlantView selectOne(BasePhotovoltaicPlantView record);

    List<BasePhotovoltaicPlantView> selectList(BasePhotovoltaicPlantView record);

    List<BasePhotovoltaicPlantView> selectPlantDetailList(BasePhotovoltaicPlantView record);
}
